<?php

namespace Modules\Category\Interfaces;

use Illuminate\Http\Request;
use Modules\Category\Models\Category;

interface CategoryRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Category $category);
    public function save(Request $request, ?Category $category): Category;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
